xcb_query_colors(3)

NAME
xcb_query_colors -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_query_colors_cookie_t xcb_query_colors(xcb_connection_t *conn, xcb_colormap_t cmap, uint32_t pixels_len, const uint32_t *pixels);

  Reply datastructure

typedef struct xcb_query_colors_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t colors_len;
    uint8_t  pad1[22];
} xcb_query_colors_reply_t;

  Reply function

xcb_query_colors_reply_t *xcb_query_colors_reply(xcb_connection_t *conn, xcb_query_colors_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

xcb_rgb_t *xcb_query_colors_colors(const xcb_query_colors_request_t *reply);

int xcb_query_colors_colors_length(const xcb_query_colors_reply_t *reply);

xcb_rgb_iterator_t xcb_query_colors_colors_iterator(const xcb_query_colors_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

cmap
    TODO: NOT YET DOCUMENTED.

pixels_len
    TODO: NOT YET DOCUMENTED.

pixels
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_QUERY_COLORS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

colors_len
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_query_colors_cookie_t. Errors have to be handled when calling the reply function xcb_query_colors_reply. If you want to handle errors in the event loop instead, use xcb_query_colors_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.